# mounts virtual filesystems like /proc /sys and /selinux
# this is probably called first thing in the boot

service system/mountdev {
	start {
		# Set the path
		export PATH=/bin:/sbin:/usr/bin:/usr/sbin

		# we need /proc mounted before everything
		mount -n -o gid=17 -t proc /proc /proc

		# sysfs is also needed before any other things (under kernel > 2.5)
		if grep -q sysfs /proc/filesystems ; then
			mount -n -o gid=17 -t sysfs sysfs /sys
		fi

		# selinux
		if grep -q selinuxfs /proc/filesystems && ! grep -q selinuxfs /proc/mounts; then
			mount -n -o gid=17 -t selinuxfs selinuxfs /selinux
		fi
	}
}

# vim:ai
